"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1076d3ee0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1076d3f70>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7040>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1076d70d0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7160>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1076d71f0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7280>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7310>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1076d73a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7430>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1076d74c0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7550>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1076d75e0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7670>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7700>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7790>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7820>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1076d78b0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7940>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1076d79d0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7a60>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7af0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7b80>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7c10>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7d30>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7ca0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7dc0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7e50>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7ee0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1076d7f70>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1076da040>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1076da0d0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1076da160>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1076da1f0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1076da280>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1076da310>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1076da3a0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1076da430>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1076da4c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1076da550>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1076da5e0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1076da670>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1076da700>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1076da790>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1076da820>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1076da8b0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1076da940>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1076da9d0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1076daa60>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1076daaf0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1076dab80>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1076dac10>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1076daca0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1076dad30>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1076dadc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1076dae50>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1076daee0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1076daf70>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1076de040>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x1076de0d0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1076de160>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1076de1f0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1076de280>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1076de310>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1076de3a0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1076de550>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1076de430>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1076de5e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1076de670>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1076de700>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1076de790>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1076de820>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1076de940>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1076de8b0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1076de9d0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1076dea60>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1076deaf0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1076dec10>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1076deb80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1076deca0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1076ded30>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1076dedc0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1076dee50>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1076deee0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1076def70>)]
name: str = 'fr_HOCCN'
